Bug 460859 - kernel: devmem: add range_is_allowed() check to mmap_mem() [rhel-4.8]
kernel: devmem: add range_is_allowed() check to mmap_mem() [rhel-4.8]
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.8
All Linux
high Severity high
: rc
: ---
Assigned To: Vitaly Mayatskikh
Martin Jenner
: ZStream
Depends On: 460857
Blocks: 460862 461297
  Show dependency treegraph
 
Reported: 2008-09-02 00:31 EDT by Eugene Teo (Security Response)
Modified: 2010-10-23 00:13 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-18 15:26:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eugene Teo (Security Response) 2008-09-02 00:31:30 EDT
+++ This bug was initially created as a clone of Bug #460857 +++

Description of problem:
Eugene Teo discovered that range_is_allowed() check is only added in {read,write}_mem(). It is possible for an illegitimate application to bypass these checks, and access /dev/mem beyond the 1M limit by calling mmap_mem() instead.

--- Additional comment from eteo@redhat.com on 2008-09-02 00:07:32 EDT ---

This appears to be fixed in upstream since commit e2beb3eae.
Comment 3 RHEL Product and Program Management 2008-09-02 14:43:31 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 4 RHEL Product and Program Management 2008-09-03 08:51:11 EDT
Updating PM score.
Comment 5 Vivek Goyal 2008-09-30 17:16:26 EDT
Committed in 78.12.EL . RPMS are available at http://people.redhat.com/vgoyal/rhel4/
Comment 7 Vivek Goyal 2008-11-20 15:31:27 EST
This patch introduced a regression. Regression fix is now available from Vitaly. Putting the bug back to POST state so that regression fix can be committed.
Comment 8 Vivek Goyal 2008-11-25 08:42:56 EST
Committed in 78.19.EL . RPMS are available at http://people.redhat.com/vgoyal/rhel4/
Comment 14 errata-xmlrpc 2009-05-18 15:26:21 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1024.html

Note You need to log in before you can comment on or make changes to this bug.